/* PARTNERS: CONTAINER [START] */
.partners__wrapper {
    position: relative;
}

.partners_container {
    display: grid;
    grid-template-columns: 420px 1fr;
    grid-gap: 24px;
    gap: 24px;
}

.partners_title {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    max-width: 420px;
    min-height: 48px;
    margin: 0px 0px 14px 0px;
}
/* PARTNERS: CONTAINER [END] */

/* PARTNERS: SIDEBAR [START] */
.partners_sidebar {
    background: #f2f7fa;
    border-radius: 8px;
}

.partners_sidebar-head {
    background: #d5e1ea;
    padding: 16px 24px;
    border-radius: 8px 8px 0px 0px;
}

.partners_sidebar-body {
    display: block;
    overflow: hidden;
    border-radius: 0px 0px 8px 8px;
}
/* PARTNERS: SIDEBAR [END] */

/* PARTNERS: SELECT [START] */
.partners_select {
    background: #fefefe;
    border: 1px solid #a5a5a5;
    font-size: 16px;
    font-weight: 400;
    font-family: inherit;
    line-height: 1;
    display: block;
    width: 100%;
    height: 50px;
    padding: 0px 58px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-user-select: none;
    user-select: none;
    border-radius: 8px;
    transition: border-color 0.5s;
}

.partners_select:hover {
    border-color: #8d8d8d;
}

.partners_select-wrapper {
    display: none;
    position: relative;
}

.partners_select-wrapper.active {
    display: flex;
}

.partners_select-wrapper svg:first-child {
    color: #222222;
    display: block;
    width: 24px;
    height: 24px;
    margin-top: auto;
    margin-bottom: auto;
    pointer-events: none;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 20px;
    z-index: 1;
}

.partners_select-wrapper svg:last-child {
    color: #222222;
    display: block;
    width: 21px;
    height: 18px;
    margin-top: auto;
    margin-bottom: auto;
    pointer-events: none;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 20px;
    z-index: 1;
}
/* PARTNERS: SELECT [END] */

/* PARTNERS: BACK [START] */
.partners_back {
    background: #ffffff;
    border: 1px solid #bdbdbd;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 48px;
    min-width: 48px;
    height: 48px;
    padding: 0;
    border-radius: 8px;
    transition: border-color 0.5s;
}

.partners_back:hover {
    border-color: #8d8d8d;
}

.partners_back svg {
    display: block;
    width: 24px;
    height: 24px;
}

.partners_back-wrapper {
    display: none;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    -webkit-user-select: none;
    user-select: none;
}

.partners_back-wrapper.active {
    display: flex;
}

.partners_back-name {
    font-size: 18px;
    font-weight: 700;
    margin-left: 16px;
}
/* PARTNERS: BACK [END] */

/* PARTNERS: TOTAL [START] */
.partners_total {
    background: var(--boxed-bg);
    border: none;
    border-bottom: 1px solid #dddddd;
    font-size: 18px;
    display: none;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 56px;
    padding: 0px 24px;
}

.partners_total.active {
    display: flex;
}

.partners_total-name {
    font-weight: 400;
}

.partners_total-value {
    font-weight: 500;
}
/* PARTNERS: TOTAL [END] */

/* PARTNERS: LIST [START] */
.partners_list {
    display: block;
    height: 665px;
    overflow: auto;
    overflow-x: hidden;
    overflow-y: auto;
    position: relative;
}

.partners_list::-webkit-scrollbar {
    background-color: #dddddd;
    width: 6px;
    height: 6px;
    -webkit-appearance: none;
}

.partners_list::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 8px;
}
/* PARTNERS: LIST [END] */

/* PARTNER: ITEM [START] */
.partner_item {
    background: rgba(0, 0, 0, 0);
    border: none;
    border-bottom: 1px solid #dddddd;
    display: none;
    padding: 16px 24px 20px 24px;
    transition: background 0.5s;
}

.partner_item:last-child {
    border-bottom: none;
}

.partner_item.active {
    background: #e2ebf1;
}

.partner_item.show {
    display: block;
}

.partner_title {
    color: #002338;
    cursor: pointer;
    font-size: 18px;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    -webkit-user-select: none;
    user-select: none;
    transition: color 0.5s;
}

.partner_item.active .partner_cont_addr a {
    /* color: #666666; */
    color: #007bc1;
    text-decoration: underline;
}

.partner_title svg {
    display: block;
    width: 20px;
    min-width: 20px;
    height: 18px;
    transform: rotate(180deg);
    transition: transform 0.5s;
}

.partner_item.active .partner_title svg {
    transform: rotate(0deg);
}

.partner_content-short {
    margin-top: 16px;
}

.partner_content-full {
    display: none;
}

.partner_contact.hide {
    display: none !important;
}

.partner_content-full .partner_contact:first-child {
    padding-top: 16px;
}

.partner_contact + .partner_contact {
    margin-top: 16px;
}

.partner_contact-name {
    color: #717171;
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
}

.partner_contact-text {
    color: #222222;
    font-size: 16px;
    font-weight: 400;
    margin-top: 8px;
}

/* .partner_item.active .partner_contact-text {
    color: #007BC1;
    text-decoration: underline;
} */

.partner_contact-text a {
    color: #002338;
    font-weight: 400;
    text-decoration: none;
    transition: color 0.5s;
}

.partner_contact-text a:hover {
    color: #1c7abe;
}

.partner_stats {
    color: inherit;
    font-weight: 500;
    position: relative;
}

.partner_stats-show {
    background: #e6e6e6;
    color: #222222;
    cursor: pointer;
    font-weight: 500;
    text-decoration: underline;
    position: absolute;
    top: 0;
    right: -24px;
    transition: color 0.5s;
}

.partner_stats-show:hover {
    color: #1c7abe;
}

.partner_stats-show::before {
    background: transparent;
    background: -moz-linear-gradient(90deg, transparent 0%, #e6e6e6 100%);
    background: -webkit-linear-gradient(90deg, transparent 0%, #e6e6e6 100%);
    background: linear-gradient(90deg, transparent 0%, #e6e6e6 100%);
    content: '';
    display: block;
    width: 32px;
    height: 100%;
    pointer-events: none;
    position: absolute;
    top: 0;
    right: 100%;
}

.partner_button {
    background: #1c7abe;
    border: none;
    outline: none;
    color: #ffffff;
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;
    text-align: center;
    width: 100%;
    height: 48px;
    border-radius: 8px;
    -webkit-appearance: none;
    appearance: none;
    -webkit-user-select: none;
    user-select: none;
    transition:
        background 0.5s,
        color 0.5s;
}

.partner_button:hover {
    background: #222222;
}
/* PARTNER: ITEM [END] */

/* PARTNERS: CONTENT [START] */
.partners_content {
    position: relative;
}
/* PARTNERS: CONTENT [END] */

/* PARTNERS: SEARCH [START] */
.partners_search {
    background: #ffffff;
    border: 1px solid #bdbdbd;
    font-size: 16px;
    font-weight: 400;
    font-family: inherit;
    width: 100%;
    height: 48px;
    padding: 0px 42px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 8px;
    transition: border-color 0.5s;
}

.partners_search:hover {
    border-color: #8d8d8d;
}

.partners_search-wrapper {
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 100%;
    bottom: calc(100% + 14px);
    z-index: 10;
}

.partners_search-wrapper > svg:first-child {
    color: #999999;
    display: block;
    width: 24px;
    height: 24px;
    margin-top: auto;
    margin-bottom: auto;
    pointer-events: none;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 10px;
    z-index: 1;
}

.partners_search-button {
    background: transparent;
    border: none;
    outline: none;
    color: #999999;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 44px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0px 8px 8px 0px;
    transition: color 0.5s;
}

.partners_search-button:hover {
    color: var(--color-link-hover);
}

.partners_search-button svg {
    display: block;
    width: 24px;
    height: 24px;
}

.partners_search-list {
    background: #ffffff;
    border: 1px solid #bdbdbd;
    width: 100%;
    visibility: hidden;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    top: 100%;
    top: calc(100% + 8px);
    border-radius: 8px;
    transition:
        visibility 0.5s,
        opacity 0.5s;
}

.partners_search-list.active {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}

.partners_search-item {
    background: #ffffff;
    color: #222222;
    cursor: pointer;
    border: none;
    outline: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 40px;
    padding: 0px 42px;
    -webkit-user-select: none;
    user-select: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    transition: background 0.5s;
}

.partners_search-item:hover {
    background: #f2f2f2;
}

.partners_search-item + .partners_search-item {
    border-top: 1px solid #dddddd;
}

.partners_search-item span {
    text-overflow: ellipsis;
    display: block;
    overflow: hidden;
    white-space: nowrap;
}
/* PARTNERS: SEARCH [END] */

/* PARTNERS: MAP [START] */
.partners_map {
    background: var(--boxed-bg);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    border-radius: 8px;
}

.partners_map-wrapper {
    background: var(--boxed-bg);
    height: 100%;
    overflow: hidden;
    position: relative;
    border-radius: 8px;
}

.dealer_cat {
    padding: 3px 7px;
    font-size: 11px;
    font-weight: 400;
    color: #fefefe;
    background: #002338;
    border-radius: 32px;
    margin-left: auto;
    white-space: nowrap;
}

.center_cat {
    background: #536a78;
}

.gm-style iframe + div {
    border: none !important;
}
/* PARTNERS: MAP [END] */

@media (max-width: 1024px) {
    .partners_container {
        grid-template-columns: 320px 1fr;
    }

    .partners_title {
        width: 100%;
        max-width: 320px;
    }
}

@media (max-width: 768px) {
    .partners_container {
        display: flex;
        flex-direction: column;
        grid-template-columns: none;
        grid-gap: 8px;
        gap: 8px;
    }

    .partners_title {
        width: 100%;
        max-width: 100%;
    }

    .partners_content {
        order: 1;
    }

    .partners_search-wrapper {
        position: relative;
        left: auto;
        bottom: auto;
        margin-bottom: 8px;
    }

    .partners_map-wrapper {
        padding: 50% 0%;
    }

    .partners_map {
        position: absolute;
        top: 0;
        left: 0;
    }

    .partners_sidebar {
        order: 2;
    }

    .partners_list {
        height: auto;
        overflow: hidden;
    }
}